TemplateNodeView (Velocity 1.4 API)
Keywords: org.apache.velocity.test.view.TemplateNodeView class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test.view
Class TemplateNodeView

    java.lang.Object
      org.apache.velocity.test.view.TemplateNodeView

public class TemplateNodeView
extends java.lang.Object

Simple class for dumping the AST for a template. Good for debugging and writing new directives.

Field Summary
`private SimpleNode` | `document` Root of the AST node structure that results from parsing a template.
`private NodeViewMode` | `visitor` Visitor used to traverse the AST node structure and produce a visual representation of the node structure.

Constructor Summary
`TemplateNodeView(java.lang.String template)` Default constructor: sets up the Velocity Runtime, creates the visitor for traversing the node structure and then produces the visual representation by the visitation.

Method Summary
`static void` | `main(java.lang.String[] args)` For testing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### document

    private SimpleNode document

  Root of the AST node structure that results from parsing a template.

### visitor

    private NodeViewMode visitor

  Visitor used to traverse the AST node structure and produce a visual representation of the node structure. Very good for debugging and writing new directives.

Constructor Detail

### TemplateNodeView

    public TemplateNodeView(java.lang.String template)

  Default constructor: sets up the Velocity Runtime, creates the visitor for traversing the node structure and then produces the visual representation by the visitation.

Method Detail

### main

    public static void main(java.lang.String[] args)

  For testing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.